var baseUrl = "http://event.katrineholm.se/";
var homeUrl = baseUrl + "/?app=true";

/*
if (Ti.Geolocation.locationServicesEnabled) {
	
	Ti.Geolocation.purpose = "Recieve user current location";
	Ti.Geolocation.accuracy = Ti.Geolocation.ACCURACY_HIGH;
	Ti.Geolocation.getCurrentPosition(function(data) {
		
		var coords;
		
		if (data.success) {
			
			coords = data.coords;
			
			if (coords && coords.latitude && coords.longitude) {
				alert("Lat: " + coords.latitude + " Long: " + coords.longitude);	
			}			
		}	
	});
}
*/

function webViewLoading(e) {
	
	var url = e.url;
	var escBaseUrl = baseUrl.replace(/\//g, '\\/').replace(/\./g,'\\.');
	
	// Only links that start with baseUrl end doesn't include wp-content
	var pattern = new RegExp("^" + escBaseUrl + "(?!\/wp-content)");
	
	if (pattern.test(url)) {
		$.loader.show();
	}
}

function webViewLoaded(e) {
	
	$.loader.hide();
	
	if ($.webview.canGoForward()) {
		$.forward.setOpacity(1);
	}
	else {
		$.forward.setOpacity(0.1);
	}
	
	if ($.webview.canGoBack()) {
		$.navbar.animate(slideIn);
	}
	else {
		$.navbar.animate(slideOut);
	}
}

function goBack() {
	$.webview.goBack();
}

function goForward() {
	$.webview.goForward();
}

function goHome() {
	$.webview.setUrl(homeUrl);
}

var slideIn = Titanium.UI.createAnimation();
slideIn.bottom = 0;
slideIn.duration = 200;

var slideOut = Titanium.UI.createAnimation();
slideOut.bottom = -44;
slideOut.duration = 200;

if (Ti.Platform.name == 'iPhone OS') {
	slideIn.curve = Titanium.UI.ANIMATION_CURVE_EASE_OUT;
	slideOut.curve = Titanium.UI.ANIMATION_CURVE_EASE_IN;
}

$.webview.setUrl(homeUrl);

$.webview.addEventListener('beforeload', webViewLoading);

$.webview.addEventListener('load', webViewLoaded);

$.app.open();